www.cendio.com
Bug 5456 - Remove osx32 environment and OS X 10.4 code compatibility
: Remove osx32 environment and OS X 10.4 code compatibility
Status: CLOSED FIXED
: ThinLinc
Build system
: trunk
: PC Unknown
: P2 Normal
: 4.5.0
Assigned To:
:
:
: 5257
:
  Show dependency treegraph
 
Reported: 2015-03-03 08:59 by
Modified: 2015-09-25 13:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-03-03 08:59:08
After 4.4 has been released and we have migrated to the new osx64 build
environment, targeting OS X 10.6, we should:

1) Remove the osx32 environment

2) Remove code for OS X 10.4 in the ctc tree.
------- Comment #1 From cendio 2015-06-11 12:21:50 -------
All the OS X 32-bit stuff has been removed from cenbuild and ctc. Upstream
projects like tigervnc still carry some pre-10.6 code, but that might be
premature to remove.
------- Comment #2 From cendio 2015-06-17 11:12:58 -------
Verified that our buildsystem doesn't have traces of osx32 /
i686-apple-darwin8.
------- Comment #3 From cendio 2015-06-17 11:13:26 -------
Our buildserver still have osx32 package installed
------- Comment #4 From cendio 2015-06-17 11:41:16 -------
Urgh. There is a bad dependency from the osx64 arch on osx32 packages as well
that's preventing cleanup.
------- Comment #5 From cendio 2015-06-23 13:02:32 -------
The problem was the cendio-cliendeps package which had a few osx32 deps
hardcoded. This was cleaned up and a new package was built and pushed to
chavez.

  yum remove *osx32* 

Did remove the osx32 related packages without removing any dependencies.
------- Comment #6 From cendio 2015-06-23 16:44:10 -------
Verified that build system is up-to-date and that there are no traces of osx32
packages / env.